---
lang: en
title: 'API docs: rest-crud.crudrestcontrollerctor._new_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontrollerctor._new_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestControllerCtor](./rest-crud.crudrestcontrollerctor.md) &gt; [(new)](./rest-crud.crudrestcontrollerctor._new_.md)

## CrudRestControllerCtor.(new)

**Signature:**

```typescript
new (repository: EntityCrudRepository<T, IdType, Relations>): CrudRestController<T, IdType, IdName, Relations>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

repository


</td><td>

EntityCrudRepository&lt;T, IdType, Relations&gt;


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[CrudRestController](./rest-crud.crudrestcontroller.md)<!-- -->&lt;T, IdType, IdName, Relations&gt;


